Having trouble logging on?
Email Print

Do you use Internet Explorer to look at the Cannon Courier and other web sites?

If you DO, you need to download a new web browser like Mozilla's Firefox or Google Chrome if you are using a PC or Safari if you are using a Mac.

Internet Explorer is being dropped - discontinued by Microsoft. It appears that by the end of the year all support will be dropped. That means no new "fixes."


It's a hacker's friend to the point that the Department of Homeland Security issued a nationwide alert in 2014 advising consumers not to use the IE web browser. That "bug" left all versions of Internet Explorer open to potential attacks.

So what should you do?

Use your Internet Explorer to download Firefox or Google Chrome and never use it again.

It has reached the point where the company that helps produce Cannoncourier.com

has also abandoned support for Internet Explorer. That means they can't help resolve problems that IE users might have with our website.

How to download better software:

Mozilla Firefox Web Browser


Google Chrome



Powered by Bondware
News Publishing Software

The browser you are using is outdated!

You may not be getting all you can out of your browsing experience
and may be open to security risks!

Consider upgrading to the latest version of your browser or choose on below: